<script setup>
import { computed } from 'vue';
import { Link } from '@inertiajs/inertia-vue3';

const props = defineProps({
    href: String,
    active: Boolean,
});

const classes = computed(() => {
    return props.active
        ? 'inline-flex items-center border-b border-white shadow-md text-sm font-semibold leading-5 text-white-snow focus:outline-none transition bg-blue-link-navbar'
        : 'inline-flex items-center text-sm font-medium	leading-5 text-gray-200 hover:text-white-snow hover:bg-cyan-opa focus:outline-none focus:text-white-snow transition hover:border-b border-gray-semilight';
});
</script>

<template>
    <Link :href="href" :class="classes">
        <slot />
    </Link>
</template>
